﻿using UnityEngine;
using System.Collections;

public class PlayController : MonoBehaviour {

	public float movespeed = 5f;
	public float jumpVel = 50f;
	private Rigidbody2D physiscBody;

	private Animator animator;
	void Start () {
		animator = this.GetComponent<Animator>();
		physiscBody = GetComponent<Rigidbody2D>();
	}	

	void FixedUpdate () {
		float dt = Time.deltaTime;
		if (Input.GetKey (KeyCode.Escape))	Application.Quit ();

		bool grounded = false;
		RaycastHit2D hit = Physics2D.Raycast(transform.position + new Vector3(0,-1.5f,0), new Vector3(0,-1,0));
		if(hit.collider != null && 
		   hit.distance < 0.02 &&
		   hit.collider.gameObject != gameObject)
			grounded = true;

		Vector3 dv = new Vector3 (0,0,0);
		bool left = Input.GetAxis ("Horizontal") < 0;
		bool right = Input.GetAxis ("Horizontal") > 0;
		bool up = Input.GetAxis("Vertical") > 0 || Input.GetAxis("Jump") > 0;

		if (right) dv += new Vector3(movespeed ,0,0);
		if (left) dv += new Vector3(-movespeed,0,0);
		if (up && grounded)	dv += new Vector3(0,jumpVel,0);

		Vector3 oldVel = physiscBody.velocity;
		Vector3 newVel = oldVel + dv;
		physiscBody.velocity = newVel;

		if(dv.magnitude > 0) animator.SetInteger ("PlayerAnimState", 1);
		else animator.SetInteger ("PlayerAnimState", 0);
		
		Vector3 s = transform.localScale;
		if (dv.x < 0) transform.localScale = new Vector3 (-Mathf.Abs (s.x), s.y, s.z);
		else transform.localScale = new Vector3 (Mathf.Abs (s.x), s.y, s.z);
	}

}
